###################################################################################################################################################
# Copyright 2015 Orchid Systems 
# -----------------------------
# Permitted for use with Orchid Systems Modules only.
# The code is supplied on an as is basis for training and demonstration purposes only and is not supported by Orchid Systems.
# If this code is deployed in a live production environment it is the responsibility of the End User to ensure 
# that it is operating as required.
###################################################################################################################################################


from accpac import *
# This sample makes the customer credit limit field read only for everyone except ADMIN

# onOpen is called when the view is opened.
# Return Continue to enable the macro.
# Return 0 to disable the macro.
# If you return anything else then the view will not load.
def onOpen():
	if user == "ADMIN":
		# disable the check for ADMIN
		return 0

	return Continue

def onAfterAttributes(e):
	if e.field == "AMTCRLIMT":
		# e.isChanged = False
		# e.isEnabled = False
		e.isEditable = False
		# e.isKey = False
		# e.isCalculate = False
		# e.typeChanges = False
		# e.presentationChanges = False
		# e.isRequired = False
		# e.editableChanges = False
		return
